Bug 1119954 - SELinux preventing ssmtp from appending a filetype mail_home_t
Summary: SELinux preventing ssmtp from appending a filetype mail_home_t
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 20
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-16 01:36 UTC by abdilra7eem
Modified: 2014-07-26 16:00 UTC (History)
4 users (show)

Fixed In Version: selinux-policy-3.12.1-179.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-26 16:00:00 UTC


Attachments (Terms of Use)
details from sealert (2.10 KB, text/plain)
2014-07-16 01:36 UTC, abdilra7eem
no flags Details

Description abdilra7eem 2014-07-16 01:36:24 UTC
Created attachment 918278 [details]
details from sealert

Description of problem:
SELinux is preventing ssmtp from appending a file that is labled with mail_home_t.

Full details are in the attached text file.

Comment 1 Miroslav Grepl 2014-07-16 07:07:48 UTC
commit 693e566757ec2a234f027e21158acc4bbf274b34
Author: Miroslav Grepl <mgrepl@redhat.com>
Date:   Wed Jul 16 09:07:07 2014 +0200

    Allow mailserver_domain domains to append dead.letter labeled as mail_home_t

Comment 2 Fedora Update System 2014-07-24 08:47:42 UTC
selinux-policy-3.12.1-179.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/selinux-policy-3.12.1-179.fc20

Comment 3 Fedora Update System 2014-07-25 10:06:35 UTC
Package selinux-policy-3.12.1-179.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.12.1-179.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-8830/selinux-policy-3.12.1-179.fc20
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2014-07-26 16:00:00 UTC
selinux-policy-3.12.1-179.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.